joeywong666
joeywong666
2021-01-24 20:39

pytorch环境下安装torch-geometric出以下错误,

  • 机器学习
  • 深度学习

但是我已经安装了torch_scatter,torch-sparse,torch-cluster,torch-spline-conv还是出错,怎么解决啊。。

raceback (most recent call last):
File “E:\Anaconda3\lib\site-packages\pip_vendor\urllib3\response.py”, line 360, in _error_catcher
yield
File “E:\Anaconda3\lib\site-packages\pip_vendor\urllib3\response.py”, line 442, in read
data = self._fp.read(amt)
File “E:\Anaconda3\lib\site-packages\pip_vendor\cachecontrol\filewrapper.py”, line 62, in read
data = self.__fp.read(amt)
File “E:\Anaconda3\lib\http\client.py”, line 447, in read
n = self.readinto(b)
File “E:\Anaconda3\lib\http\client.py”, line 491, in readinto
n = self.fp.readinto(b)
File “E:\Anaconda3\lib\socket.py”, line 589, in readinto
return self._sock.recv_into(b)
File “E:\Anaconda3\lib\ssl.py”, line 1052, in recv_into
return self.read(nbytes, buffer)
File “E:\Anaconda3\lib\ssl.py”, line 911, in read
return self._sslobj.read(len, buffer)
socket.timeout: The read operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “E:\Anaconda3\lib\site-packages\pip_internal\cli\base_command.py”, line 179, in main
status = self.run(options, args)
File “E:\Anaconda3\lib\site-packages\pip_internal\commands\install.py”, line 315, in run
resolver.resolve(requirement_set)
File “E:\Anaconda3\lib\site-packages\pip_internal\resolve.py”, line 131, in resolve
self._resolve_one(requirement_set, req)
File “E:\Anaconda3\lib\site-packages\pip_internal\resolve.py”, line 294, in _resolve_one
abstract_dist = self._get_abstract_dist_for(req_to_install)
File “E:\Anaconda3\lib\site-packages\pip_internal\resolve.py”, line 242, in _get_abstract_dist_for
self.require_hashes
File “E:\Anaconda3\lib\site-packages\pip_internal\operations\prepare.py”, line 334, in prepare_linked_requirement
progress_bar=self.progress_bar
File “E:\Anaconda3\lib\site-packages\pip_internal\download.py”, line 878, in unpack_url
progress_bar=progress_bar
File “E:\Anaconda3\lib\site-packages\pip_internal\download.py”, line 702, in unpack_http_url
progress_bar)
File “E:\Anaconda3\lib\site-packages\pip_internal\download.py”, line 946, in _download_http_url
_download_url(resp, link, content_file, hashes, progress_bar)
File “E:\Anaconda3\lib\site-packages\pip_internal\download.py”, line 639, in _download_url
hashes.check_against_chunks(downloaded_chunks)
File “E:\Anaconda3\lib\site-packages\pip_internal\utils\hashes.py”, line 62, in check_against_chunks
for chunk in chunks:
File “E:\Anaconda3\lib\site-packages\pip_internal\download.py”, line 607, in written_chunks
for chunk in chunks:
File “E:\Anaconda3\lib\site-packages\pip_internal\utils\ui.py”, line 159, in iter
for x in it:
File “E:\Anaconda3\lib\site-packages\pip_internal\download.py”, line 596, in resp_read
decode_content=False):
File “E:\Anaconda3\lib\site-packages\pip_vendor\urllib3\response.py”, line 494, in stream
data = self.read(amt=amt, decode_content=decode_content)
File “E:\Anaconda3\lib\site-packages\pip_vendor\urllib3\response.py”, line 459, in read
raise IncompleteRead(self._fp_bytes_read, self.length_remaining)
File “E:\Anaconda3\lib\contextlib.py”, line 130, in exit
self.gen.throw(type, value, traceback)
File “E:\Anaconda3\lib\site-packages\pip_vendor\urllib3\response.py”, line 365, in _error_catcher
raise ReadTimeoutError(self._pool, None, ‘Read timed out.’)
pip._vendor.urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host=‘files.pythonhosted.org’, port=443): Read timed out.

  • 点赞
  • 回答
  • 收藏
  • 复制链接分享

0条回答

为你推荐

换一换